CLEAR ALL
PutTiles(1)
PutTiles(2)
BITMAP 1 NEW 640,400
SPRITE 3 BIND BITMAP 1 SHOW FIT
TARGET BITMAP 1
INK RGB(0,0,0,224)
RECT FILL 0,0,639,399
INK 0
CIRCLE FILL 320,200,185
INK RGB(255,255,255)
CIRCLE 320,200,185
DO
    TARGET TILEMAP 1
    SHIFT TILEMAP UP 1
    TARGET TILEMAP 2
    SHIFT TILEMAP LEFT 1
    PAUSE
LOOP WHILE INKEY$=""
END
FUNCTION PutTiles(n)
    TILEMAP n NEW 40,25
    SPRITE n BIND TILEMAP n SHOW FIT
    TARGET TILEMAP n
    FOR y=0 TO 24 STEP 2
        FOR x=0 TO 39 STEP 2
            INK RND.COLOR
            HIGHLIGHT RND.COLOR
            PUT TILE x,y,RANGE(0,255)
        NEXT x
    NEXT y
END FUNCTION
